import { Module } from "@nestjs/common";
import { ConfigModule, ConfigService } from "@nestjs/config";
import { LogService } from "./logger/logger.service";
import { ThrottlerModule } from "@nestjs/throttler";
import { DrizzleModule } from './drizzle/drizzle.module';

@Module({
	imports: [
		ThrottlerModule.forRoot([{
			ttl: 60000,
			limit: 10,
		}]),
		ConfigModule.forRoot({
			isGlobal: true
		}),
		DrizzleModule
	],
	exports: [LogService],
	controllers: [],
	providers: [LogService],
})
export class AppModule {}
